//--------------------------------------------------------
//	DemoWindow.h
//	We are not liable for anything involving this software
//	including but not limited to damage or harm to your
//	software, hardware, mind, body or soul.
//		Written by Bill Morris
//		Memetic Corporation
//		bmorris@memetic.com
//		http://www.memetic.com
//	Hacked from HelloWorld
//		Copyright 1995 Be Incorporated, All Rights Reserved.
//--------------------------------------------------------

#ifndef DEMO_VIEW_H
#define DEMO_VIEW_H

#ifndef _VIEW_H
#include <View.h>
#endif

#ifndef _ALERT_H
#include <Alert.h>
#endif

#ifndef DEMO_MESSAGE_FILTER_H
#include "DemoMessageFilter.h"
#endif

#pragma export on 
class DemoView : public BView { 

public:
                  DemoView(BMessage *); 
virtual status_t  Archive(BMessage *, bool) const; 
static DemoView *Instantiate(BMessage *); 

                  DemoView(BRect frame, char *name); 
virtual void      AttachedToWindow(); 
virtual void      MouseDown(BPoint point);
virtual void      MouseUp(BPoint point);
virtual void      KeyDown(const char *bytes, int32 numBytes);
virtual void      KeyUp(const char *bytes, int32 numBytes);


virtual void      AboutRequested(void); 
virtual void      MessageReceived(BMessage *);

private:
		//	MAGICK!!
		//		ok this is the MessageFilter part
		//	BList is for the returned list of filters
		BList				*foobaz;
		//	Instance our DemoMessageFilter becuase
		//	I can't figure out how the function hook works
		DemoMessageFilter	*lmf;
}; 
#pragma export off 
#endif
